cumsum {base} | R Documentation

## Cumulative Sums, Products, and Extremes

### Description

Returns a vector whose elements are the cumulative sums, products, minima or maxima of the elements of the argument.

### Usage

    cumsum(x)
    cumprod(x)
    cummax(x)
    cummin(x)

### Arguments

`x` | a numeric object.

### Details

An `NA` value in `x` causes the corresponding and following elements of the return value to be `NA`.

### Examples

    cumsum(1:10)
    cumprod(1:10)
    cummin(c(3:1, 2:0, 4:2))
    cummax(c(3:1, 2:0, 4:2))

[Package Contents]